Subject: Re: Perl-tk?
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Thu, 18 Nov 2004 15:35:37 -0800

On Thu, Nov 18, 2004 at 11:17:37AM -0800, Bruce Dobrin wrote:
> I've been using the tk800 native windows functionality for years with
> cygwin.  You just have to recompile/install with each perl change. If I
> remember correctly, with the most recent cygwin/perl/tk800.024, I
> haven't even had to patch it.  The big headache is that you need to play
> games with rebase to get IO and Menubutton to work correctly.

> Charles Plager wrote:
> 
> 0) Get a copy of Tk-800.024.tar.gz from the web
> 1) cd /usr/X11R6/lib
> 2) ln -s libX11.dll.a libX11.a
> 3) cd ~/mybuildarea
> 4) tar xzf Tk-800.024.tar.gz
> 5) cd Tk800.024/
> 6) less README.cygwin
> 7) perl Makefile.PL x
> 8) make && make test && make install

To clarify, using "perl Makefile.PL x" builds an X windows Perl/Tk.
Without the x, it builds to use native windows ala the Win32 port.

IIRC, last time I've tried either I got some test failures, but a
by-and-large functional Perl/Tk.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/